#!/bin/sh
# Se añade password al grub para que no se le puedan pasar opciones.

GRUBFILE="/boot/grub/menu.lst"

# Si no existe la linea de password global de GRUB, se añade
# al principio del fichero (para evitar que se editen las opciones)
if [ "" == "$(head -n1 $GRUBFILE | egrep ^password.*md5)" ]
then
        sed -i '/menu.lst.*See/i password --md5 $1$RTEFc1$TtQvImnmXq/wDQaQyN7Ec1' $GRUBFILE
fi


# Se añade la opción de clave a la opción de 'single', para evitar entrar con la cuenta de root.

if [ "" == "$(egrep -A1 "kernel.*single" $GRUBFILE | tail -n 1| grep password)" ]
then
        sed -i '/kernel.*single/a password --md5 $1$RTEFc1$TtQvImnmXq/wDQaQyN7Ec1' $GRUBFILE
fi

exit 0
